#!/bin/sh
#Scriptfile for starting and stopping oscam
#Scriptwriting done by CC_Share
#For support and more info visit http://www.eurocardsharing.com

#Setting variables
CAMNAME="Oscam Server"
CAMDIR="/emu/oscam"
LOGDIR="/emu/log"
CAM="oscam"
# end

# Checking for pid file existance
if [ ! -f $CAMDIR/oscam.pid ]
	then
	echo "No pidfile exists, Creating PID for oscam"
else
	rm $CAMDIR/oscam.pid
	echo "Pidfile allready found, Removing old pidfile"
fi

pidof $CAM > $CAMDIR/oscam.pid
PID=$(exec cat $CAMDIR/oscam.pid)

# This method starts oscam
start_cam ()
{
$CAMDIR/$CAM -b -c $CAMDIR &
sleep 5 
}
# This method stops oscam
stop_cam ()
{
kill -9 $PID
sleep 5 
}
case "$1" in
start)
echo "[SCRIPT] $1: $CAMNAME"
start_cam
;;
stop)
echo "[SCRIPT] $1: $CAMNAME"
stop_cam
;;
restart)
echo "Restarting $CAMNAME"
stop_cam
start_cam
;;
*)
"$0" stop
exit 1
;;
esac
exit 0
